> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Event Details

> Retrieve webhook event configuration details



## OpenAPI

````yaml get /v1/webhook-events/{webhook_event_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/webhook-events/{webhook_event_id}:
    get:
      summary: Get Webhook Event Detail
      description: >-
        This endpoint allows you to get a webhook event's details. You can use
        the `webhook_event_id` to get the webhook event's details.
      operationId: get-webhook-event
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: webhook_event_id
          in: path
          description: The Webhook Event id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9b29471a-17bf-4332-835b-a6af8e0cc430
                    business_id: 9b294222-3a53-427f-9393-95dc6d63ee6c
                    name: Test Webhook Event
                    url: https://google.com
                    event_types:
                      - transfer.created
                      - transfer.updated
                    created_at: '2024-01-24T16:05:10+08:00'
                    updated_at: '2024-01-24T16:05:10+08:00'
              schema:
                type: object
                properties:
                  id:
                    type: string
                  business_id:
                    type: string
                  name:
                    type: string
                  url:
                    type: string
                  event_types:
                    type: array
                    items:
                      type: string
                  created_at:
                    type: string
                  updated_at:
                    type: string
                required:
                  - id
                  - business_id
                  - name
                  - url
                  - event_types
                  - created_at
                  - updated_at
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "message": "No query results for model [App\\Business\\Webhook] 973ee456-d28f-4418-93c5-d37e4b311685"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    examples:
                      - >-
                        No query results for model [App\Business\Webhook]
                        973ee456-d28f-4418-93c5-d37e4b311685
      deprecated: false

````